import { ImageFormat } from 'gatsby-plugin-image';
import { IImgixURLBuilder } from '../../common/imgix-js-core-wrapper';
import { IImgixParams } from '../../publicTypes';
import { IImgixGatsbyImageDataArgsResolved } from './privateTypes';
export declare type IBuildGatsbyImageDataBaseArgs = {
    resolverArgs: IImgixGatsbyImageDataArgsResolved;
    url: string;
    dimensions: {
        width: number;
        height: number;
    };
    defaultParams?: Partial<IImgixParams>;
    imgixClient: IImgixURLBuilder;
};
export declare const buildGatsbyImageDataBaseArgs: ({ resolverArgs, url, dimensions: { width, height }, defaultParams, imgixClient, }: IBuildGatsbyImageDataBaseArgs) => {
    readonly pluginName: "@imgix/gatsby";
    readonly filename: string;
    readonly sourceMetadata: {
        readonly width: number;
        readonly height: number;
        readonly format: ImageFormat;
    };
    readonly breakpoints: number[];
    readonly formats: ImageFormat[];
    readonly generateImageSource: (filename: string, width: number, height: number, format: ImageFormat, fit?: import("gatsby-plugin-image").Fit | undefined, options?: Record<string, unknown> | undefined) => import("gatsby-plugin-image").IImage;
    readonly options: {
        readonly imgixParams: {
            trim?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            auto?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            fill?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            blendalign?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            ba?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            blend?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            blendalpha?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            balph?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            blendcolor?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "blend-clr"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            blendclr?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            faces?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            blendcrop?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            bc?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            crop?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            blendfit?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            bf?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            blendh?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            bh?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            hue?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            blendmode?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            bm?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            blendpad?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            bp?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            blendsize?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            bs?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            blendw?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            bw?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            blendx?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            bx?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            blendy?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            by?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            b?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            border?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            width?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            dpr?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            palette?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            mask?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            duotone?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            fillcolor?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            blur?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            fit?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            f?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            h?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            transparency?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            height?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            invert?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            inv?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            ma?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            markalign?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            mark?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            markalpha?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            malph?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            mb?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            markbase?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            mf?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            markfit?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            markw?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            markh?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            mh?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            mp?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            markpad?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            ms?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            markscale?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            mtile?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            marktile?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            mw?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            mx?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            markx?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            my?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            marky?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            m?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            maskbg?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "max-height"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "max-width"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "min-height"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "min-width"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            monochrome?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            mono?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            or?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            annotation?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            trimcolor?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            trimmd?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            trimpad?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            trimsd?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            trimtol?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            txtalign?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            ta?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            txt?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            txtclip?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            tcl?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            txtcolor?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "txt-clr"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            txtclr?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            tc?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            txtfit?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            tf?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            txtfont?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            txtlead?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            txtlig?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            txtlinecolor?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "txt-line-clr"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            txtlineclr?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            txtline?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            tl?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            txtpad?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            tp?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            txtshad?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            tsh?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            tsz?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            txtsize?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            txttrack?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            tt?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            txtwidth?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            t?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            usm?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "blend-align"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "blend-alpha"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "blend-color"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "blend-crop"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "blend-fit"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "blend-h"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "blend-mode"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "blend-pad"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "blend-size"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "blend-w"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "blend-x"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "blend-y"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "fill-color"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "mark-align"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "mark-alpha"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "mark-base"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "mark-fit"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "mark-h"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "mark-pad"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "mark-scale"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "mark-tile"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "mark-w"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "mark-x"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "mark-y"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "mask-bg"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "max-h"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "max-w"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "min-h"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "min-w"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            orient?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "pdf-annotation"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "trim-color"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "trim-md"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "trim-pad"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "trim-sd"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "trim-tol"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "txt-align"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "txt-clip"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "txt-color"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "txt-fit"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "txt-font"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "txt-lead"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "txt-lig"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "txt-line-color"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "txt-line"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "txt-pad"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "txt-shad"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "txt-size"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "txt-track"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "txt-width"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            w?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            ar?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            bg?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "border-bottom"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "border-left"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "border-radius-inner"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "border-radius"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "border-right"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "border-top"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            bri?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            ch?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            chromasub?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            colorquant?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            colors?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            con?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "corner-radius"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            cs?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            dl?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            dpi?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "duotone-alpha"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            exp?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            expires?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            faceindex?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            facepad?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            flip?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            fm?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "fp-debug"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "fp-x"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "fp-y"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "fp-z"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            gam?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "grid-colors"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "grid-size"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            high?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            htn?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            lossless?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "mark-rot"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            nr?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            nrs?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "pad-bottom"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "pad-left"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "pad-right"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            "pad-top"?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            pad?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            page?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            prefix?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            px?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            q?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            rect?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            rot?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            sat?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            sepia?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            shad?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            sharp?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            usmrad?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
            vib?: string | number | boolean | string[] | number[] | boolean[] | null | undefined;
        };
    };
    readonly layout?: import("gatsby-plugin-image").Layout | undefined;
    readonly width?: number | undefined;
    readonly height?: number | undefined;
    readonly aspectRatio?: number | undefined;
    readonly sizes?: string | undefined;
    readonly backgroundColor?: string | undefined;
    readonly imgixParams?: import("../../publicTypes").ImgixUrlParams | undefined;
    readonly placeholderImgixParams?: import("../../publicTypes").ImgixUrlParams | undefined;
    readonly placeholder?: "none" | "dominantColor" | "blurred" | undefined;
    readonly widthTolerance?: number | undefined;
    readonly srcSetMinWidth?: number | undefined;
    readonly srcSetMaxWidth?: number | undefined;
};
//# sourceMappingURL=buildGatsbyImageDataBaseArgs.d.ts.map