import { GatsbyCache } from 'gatsby';
import { ComposeInputTypeDefinition, ObjectTypeComposerFieldConfigAsObjectDefinition } from 'graphql-compose';
import { IImgixURLBuilder } from '../../common/imgix-js-core-wrapper';
import { ImgixSourceDataResolver } from '../../common/utils';
import { IImgixParams } from '../../publicTypes';
import { ImgixFixedArgsResolved } from './privateTypes';
export declare const DEFAULT_FIXED_WIDTH = 8192;
interface CreateImgixFixedFieldConfigArgs<TSource> {
    imgixClient: IImgixURLBuilder;
    resolveUrl: ImgixSourceDataResolver<TSource, string>;
    resolveWidth?: ImgixSourceDataResolver<TSource, number | undefined>;
    resolveHeight?: ImgixSourceDataResolver<TSource, number | undefined>;
    cache: GatsbyCache;
    defaultParams?: Partial<IImgixParams>;
    type: string;
    paramsInputType: ComposeInputTypeDefinition;
}
export declare const createImgixFixedFieldConfig: <TSource, TContext>({ imgixClient, resolveUrl, resolveWidth, resolveHeight, cache, defaultParams, type, paramsInputType, }: CreateImgixFixedFieldConfigArgs<TSource>) => ObjectTypeComposerFieldConfigAsObjectDefinition<TSource, TContext, ImgixFixedArgsResolved>;
export declare const createImgixFixedSchemaFieldConfig: <TSource, TContext>(params: Omit<CreateImgixFixedFieldConfigArgs<unknown>, "imgixClient" | "resolveUrl"> & {
    imgixClientOptions?: ({
        domain: string;
        secureURLToken?: string | undefined;
        useHTTPS?: boolean | undefined;
        includeLibraryParam?: boolean | undefined;
    } & {
        ixlib?: string | undefined;
    }) | undefined;
    resolveUrl?: ((source: TSource) => string | null | undefined) | undefined;
}) => ObjectTypeComposerFieldConfigAsObjectDefinition<TSource, TContext, any>;
export {};
//# sourceMappingURL=createImgixFixedFieldConfig.d.ts.map