import { ComposeInputTypeDefinition, ObjectTypeComposerFieldConfigAsObjectDefinition } from 'graphql-compose';
import { IImgixURLBuilder } from '../../common/imgix-js-core-wrapper';
import { ImgixSourceDataResolver } from '../../common/utils';
import { IImgixParams, ImgixUrlArgs } from '../../publicTypes';
interface CreateImgixUrlFieldConfigArgs<TSource> {
    imgixClient: IImgixURLBuilder;
    resolveUrl: ImgixSourceDataResolver<TSource, string>;
    defaultParams?: IImgixParams;
    paramsInputType: ComposeInputTypeDefinition;
}
export declare const createImgixUrlFieldConfig: <TSource, TContext>({ imgixClient, resolveUrl, defaultParams, paramsInputType, }: CreateImgixUrlFieldConfigArgs<TSource>) => ObjectTypeComposerFieldConfigAsObjectDefinition<TSource, TContext, ImgixUrlArgs>;
export declare const createImgixUrlSchemaFieldConfig: <TSource, TContext>(params: Omit<CreateImgixUrlFieldConfigArgs<unknown>, "imgixClient" | "resolveUrl"> & {
    imgixClientOptions?: ({
        domain: string;
        secureURLToken?: string | undefined;
        useHTTPS?: boolean | undefined;
        includeLibraryParam?: boolean | undefined;
    } & {
        ixlib?: string | undefined;
    }) | undefined;
    resolveUrl?: ((source: TSource) => string | null | undefined) | undefined;
}) => ObjectTypeComposerFieldConfigAsObjectDefinition<TSource, TContext, any>;
export {};
//# sourceMappingURL=createImgixUrlFieldConfig.d.ts.map