import { FixedObject, FluidObject } from 'gatsby-image';
import { IImgixURLBuilder } from '../../common/imgix-js-core-wrapper';
import { IImgixParams } from '../../publicTypes';
import { ImgixFixedArgsResolved, ImgixFluidArgsResolved } from './privateTypes';
export declare type BuildImgixFluidArgs = {
    client: IImgixURLBuilder;
    url: string;
    sourceWidth: number;
    sourceHeight: number;
    args: ImgixFluidArgsResolved;
    defaultParams?: Partial<IImgixParams>;
    defaultPlaceholderParams?: Partial<IImgixParams>;
};
export declare const buildFluidObject: ({ client, url, sourceWidth, sourceHeight, args, defaultParams, defaultPlaceholderParams, }: BuildImgixFluidArgs) => FluidObject;
export declare type BuildImgixFixedArgs = {
    client: IImgixURLBuilder;
    url: string;
    sourceWidth: number;
    sourceHeight: number;
    args: ImgixFixedArgsResolved;
    defaultParams?: Partial<IImgixParams>;
    defaultPlaceholderParams?: Partial<IImgixParams>;
};
export declare function buildImgixFixed({ client, url, sourceWidth, sourceHeight, args, defaultParams, defaultPlaceholderParams, }: BuildImgixFixedArgs): FixedObject;
//# sourceMappingURL=objectBuilders.d.ts.map